Bug 1282159 - Livecd-creator generates a pre-release ISO from the stable branch
Livecd-creator generates a pre-release ISO from the stable branch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: generic-release (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 02:13 EST by Amit Caleechurn
Modified: 2016-06-22 11:30 EDT (History)
7 users (show)

See Also:
Fixed In Version: generic-release-23-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 16:54:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LiveInst from Terminal (38.00 KB, image/png)
2015-11-21 12:48 EST, Amit Caleechurn
no flags Details
LiveInst GUI (88.30 KB, image/png)
2015-11-21 12:49 EST, Amit Caleechurn
no flags Details

  None (edit)
Description Amit Caleechurn 2015-11-15 02:13:25 EST
Description of problem:

Livecd-creator generates a pre-release ISO from the stable branch [23] when the generic-release package is included in the kickstart.

Version-Release number of selected component (if applicable):

Fedora 23

How reproducible:

Install Fedora, install the kickstart and livecd-tools packages. Exclude fedora-release, fedora-logos, fedora-release-notes & add generic-release, generic-logos and generic-release-notes in the fedora-live-workstaton kickstart. Boot the generated ISO and start the installer, Anaconda shows the pre-release warnings.

Steps to Reproduce:
1. Fresh Fedora Install

2. Install Packages [livecd-tools-23.2-3.fc23.x86_64 / spin-kickstarts-0.23.6-1.fc23.noarch / fedora-kickstarts-0.23.6-1.fc23.noarch]

3. Make changes to the Workstation kickstart package file [fedora-workstation-packages.ks]

-fedora-release
-fedora-logos
-fedora-release-notes
generic-release
generic-logos
generic-release-notes

4. Spin the kickstart fedora-live-workstation.ks

5. Boot the generated ISO, start liveinst, Anaconda shows the pre-release warnings.

Actual results:

Pre-release ISO generated

Expected results:

Final Build ISO should be generated

Additional info:

If the fedora-release package is included in the kickstart [generic-release excluded], the correct ISO [Final 23] is generated.

Generic Packages Versions:

generic-logos.noarch                                                           17.0.0-7.fc23                                                   @System
generic-release.noarch                                                         23-0.7                                                          @System
generic-release-notes.noarch                                                   23-0.7                                                          @System
Comment 1 Brian Lane 2015-11-16 13:39:01 EST
In live images the final state is triggered by the release portion of the package providing system-release. It needs to be -1 for a final release.

https://github.com/rhinstaller/anaconda/blob/master/data/liveinst/liveinst#L76
Comment 2 Bruno Wolff III 2015-11-16 16:13:38 EST
I'll do a new build tonight.
Comment 3 Fedora Update System 2015-11-16 22:09:48 EST
generic-release-23-1 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-764e2efe18
Comment 4 Fedora Update System 2015-11-18 11:51:36 EST
generic-release-23-1 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update generic-release'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-764e2efe18
Comment 5 Amit Caleechurn 2015-11-21 12:45:53 EST
(In reply to Fedora Update System from comment #4)
> generic-release-23-1 has been pushed to the Fedora 23 testing repository. If
> problems still persist, please make note of it in this bug report.
> If you want to test the update, you can install it with
> $ su -c 'dnf --enablerepo=updates-testing update generic-release'
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-2015-764e2efe18

The update resolves the issue but seems to have introduced a new bug, the file /etc/redhat-release has only one line [Generic Release 23 (Twenty Three)] but LiveInst reads/displays it twice.
Comment 6 Amit Caleechurn 2015-11-21 12:48 EST
Created attachment 1097482 [details]
LiveInst from Terminal
Comment 7 Amit Caleechurn 2015-11-21 12:49 EST
Created attachment 1097483 [details]
LiveInst GUI
Comment 8 Fedora Update System 2016-03-30 16:54:53 EDT
generic-release-23-1 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Amit Caleechurn 2016-06-22 11:30:34 EDT
Same issue occurs with generic-release-24-0.5 in Fedora 24

Note You need to log in before you can comment on or make changes to this bug.